summaryrefslogtreecommitdiffstats
path: root/python
diff options
context:
space:
mode:
author Vijay Marcel <vijaymarcel@outlook.com>2024-05-06 07:43:23 +0900
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2024-05-11 06:51:50 +0700
commit47ee00ff525dafac80c4a6ba903e6c26504c572d (patch)
tree5d5523d973017fd80fc6cdb8a239378cb2cd9d3e /python
parent4f60580a5156f9792a40b5a2d156a425bf42ab0c (diff)
downloadslackbuilds-47ee00ff525dafac80c4a6ba903e6c26504c572d.tar.gz
slackbuilds-47ee00ff525dafac80c4a6ba903e6c26504c572d.tar.xz
python/python3-userpath: Updated for version 1.9.2.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'python')
-rw-r--r--python/python3-userpath/python3-userpath.SlackBuild6
-rw-r--r--python/python3-userpath/python3-userpath.info6
2 files changed, 6 insertions, 6 deletions
diff --git a/python/python3-userpath/python3-userpath.SlackBuild b/python/python3-userpath/python3-userpath.SlackBuild
index f93cda2b7a..a9f61e83cf 100644
--- a/python/python3-userpath/python3-userpath.SlackBuild
+++ b/python/python3-userpath/python3-userpath.SlackBuild
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=python3-userpath
-VERSION=${VERSION:-1.9.1}
+VERSION=${VERSION:-1.9.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -81,11 +81,11 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-python3 -m build --wheel --no-isolation
+CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" python3 -m build --wheel --no-isolation
python3 -m installer --destdir "$PKG" dist/*.whl
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ | cut -f 1 -d : | xargs strip --strip-unneeded --remove-section=.comment --remove-section=.note 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a LICENSE.txt README.md $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/python/python3-userpath/python3-userpath.info b/python/python3-userpath/python3-userpath.info
index 004316cfba..52ed860422 100644
--- a/python/python3-userpath/python3-userpath.info
+++ b/python/python3-userpath/python3-userpath.info
@@ -1,8 +1,8 @@
PRGNAM="python3-userpath"
-VERSION="1.9.1"
+VERSION="1.9.2"
HOMEPAGE="https://github.com/ofek/userpath"
-DOWNLOAD="https://pypi.io/packages/source/u/userpath/userpath-1.9.1.tar.gz"
-MD5SUM="112c7732826e153841fc3686d008dc4d"
+DOWNLOAD="https://pypi.io/packages/source/u/userpath/userpath-1.9.2.tar.gz"
+MD5SUM="0bcebc971ce7fb38aa3fde3b137d39e2"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="click python3-pytest"